KNETWALK(6)

NAME
knetwalk - A game for system administrators

SYNOPSIS
knetwalk [Qt-options] [TDE-options] [options]

DESCRIPTION
KNetwalk presents the player with a rectangular grid containing a server, several clients, and pieces of wire. The object of the game is to rotate these elements until every client is connected to the server, and no wires are left unconnected. Optionally, you can try to get a high score by minimizing the number of rotations needed. Left clicking on a square rotates it counterclockwise, while right clicking rotates it clockwise. Middle clicking on a square marks the square with a blue background and prevents you from rotating it unless you middle click again to unmark it; this can be very useful for marking squares which you know are in the correct orientation.

GENERIC OPTIONS

--help
    Show help about options.

--help-qt
    Show Qt specific options.

--help-tde
    Show TDE specific options.

--help-all
    Show all options.

--author
    Show author information.

--version
    Show version information.

--license
    Show license information.

QT OPTIONS

--display <displayname>
    Use the X-server display `displayname'.

--session <sessionId>
    Restore the application for the given `sessionId'.

--cmap
    Causes the application to install a private color map on an 8-bit display.

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification.

--nograb
    Tells Qt to never grab the mouse or the keyboard.

--dograb
    Running under a debugger can cause an implicit -nograb, use -dograb to override.

--sync
    Switches to synchronous mode for debugging.

--fn, --font <fontname>
    Defines the application font.

--bg, --background <color>
    Sets the default background color and an application palette (light and dark shades are calculated).

--fg, --foreground <color>
    Sets the default foreground color.

--btn, --button <color>
    Sets the default button color.

--name <name>
    Sets the application name.

--title <title>
    Sets the application title (caption).

--visual TrueColor
    Forces the application to use a TrueColor visual on an 8-bit display.

--inputstyle <inputstyle>
    Sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root.

--im <XIM server>
    Set XIM server.

--noxim
    Disable XIM.

TDE OPTIONS

--caption <caption>
    Use `caption' as name in the titlebar.

--icon <icon>
    Use `icon' as the application icon.

--miniicon <icon>
    Use `icon' as the icon in the titlebar.

--dcopserver <server>
    Use the DCOP Server specified by `server'.

--nocrashhandler
    Disable crash handler, to get core dumps.

--waitforwm
    Waits for a WM_NET compatible windowmanager.

--style <style>
    Sets the application GUI style.

--geometry <geometry>
    Sets the client geometry of the main widget.

PROGRAM OPTIONS

--Novice
    Start in novice mode. In this mode, you get a 5x5 grid.

--Normal
    Start in normal mode. In this mode, you get a 7x7 grid.

--Expert
    Start in expert mode. In this mode, you get a 9x9 grid.

--Master
    Start in master mode. In this mode, you get a 9x9 grid laid out on a torus, so that a wire leading off one edge can connect to a wire on the opposite edge.